% Generated by roxygen2 (4.0.1): do not edit by hand
\name{packrat-options}
\alias{get_opts}
\alias{packrat-options}
\alias{set_opts}
\title{Get/set packrat project options}
\usage{
get_opts(options = NULL, simplify = TRUE, project = NULL)

set_opts(..., project = NULL)
}
\arguments{
\item{options}{A character vector of valid option names.}

\item{simplify}{Boolean; \code{unlist} the returned options? Useful for when retrieving
a single option.}

\item{project}{The project directory. When in packrat mode, defaults to the current project;
otherwise, defaults to the current working directory.}

\item{...}{Entries of the form \code{key = value}, used for setting packrat project options.}
}
\description{
Get and set options for the current packrat-managed project.
}
\details{
\itemize{
\item \code{auto.snapshot}: Perform automatic, asynchronous snapshots when running interactively?
  (\code{TRUE} / \code{FALSE}; defaults to \code{TRUE})
\item \code{vcs.ignore.lib}:
  Add the packrat private library to your version control system ignore?
  (\code{TRUE} / \code{FALSE}; defaults to \code{TRUE})
\item \code{vcs.ignore.src}:
  Add the packrat private sources to your version control system ignore?
  (\code{TRUE} / \code{FALSE}; defaults to \code{FALSE})
\item \code{print.banner.on.startup}:
  Print the banner on startup? Can be one of \code{TRUE} (always print),
  \code{FALSE} (never print), and \code{'auto'} (do the right thing)
  (defaults to \code{"auto"})
\item \code{external.packages}:
  Packages which should be loaded from the user library upon entering packrat mode.
  This can be useful for very large packages which you don't want duplicated across
  multiple projects, e.g. Bioconductor annotation packages.
  (EXPERIMENTAL; currently defaults to \code{Sys.getenv("R_PACKRAT_EXTERNAL_PACKAGES")})
}
}

